# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2017-11-30 21:17
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('general', '0002_auto_20171129_2042'),
    ]

    operations = [
        migrations.CreateModel(
            name='LetterToAdmin',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sender', models.CharField(blank=True, max_length=100)),
                ('email', models.EmailField(blank=True, max_length=254)),
                ('faculty', models.CharField(choices=[('t', 'tehniline'), ('c', 'sisuline')], max_length=1)),
                ('message', models.TextField()),
                ('time', models.DateTimeField(auto_now=True)),
                ('user', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.DeleteModel(
            name='NotYetRegisteredUser',
        ),
    ]
